%define ver_major 1.2
%def_disable static

Name: gtkglext
Version: %ver_major.0
Release: alt0.1

Summary: An OpenGL extention to GTK2
License: LGPL
Group: System/Libraries
Url: http://gtkglext.sourceforge.net/

Packager: Vitaly Lipatov <lav@altlinux.ru>

Source: http://dl.sf.net/gtkglext/%name-%version.tar.bz2
#Source: http://mesh.dl.sourceforge.net/sourceforge/gtkglext/%name-%version.tar.bz2

# gentoo patch see http://bugs.gentoo.org/show_bug.cgi?id=105493
#Patch:  gtkglext-1.0.6-requires-pangox.patch

%define gtk_ver 2.4.0
%define gtk_doc_ver 1.1

BuildPreReq: rpm-build-compat
BuildPreReq: libgtk+2-devel >= %gtk_ver
BuildPreReq: gtk-doc >= %gtk_doc_ver

# Automatically added by buildreq on Sun Nov 19 2006
BuildRequires: gcc-c++ glibc-devel-static gtk-doc imake indent libgtk+2-devel libmesa-devel libXmu-devel xorg-cf-files

%description
GtkGLExt is an OpenGL extension to GTK2.

This package is composed of GdkGLExt library and GtkGLExt library.
GdkGLExt library provides the GDK objects which support OpenGL
rendering in GTK. GtkGLExt library provides the GtkWidget API add-ons
to make GTK+ widgets OpenGL-capable.

%package -n lib%name
Summary: An OpenGL extention to GTK2
Group: System/Libraries

%description -n lib%name
A library of dynamically linked GtkGLExt

%package -n lib%name-devel
Summary: An OpenGL extention to GTK2 development files
Group: Development/GNOME and GTK+
Requires: lib%name = %version-%release
Requires: libgtk+2-devel glib2-devel libpango-devel freetype2-devel libatk-devel
# FC compat
Provides: gtkglext-devel

%description -n lib%name-devel
This package contents development files and documentation
for compiling programs that use GtkGLExt.

%package -n lib%name-devel-static
Summary: An OpenGL extention to GTK2 static libraries
Group: Development/GNOME and GTK+
Requires: lib%name-devel = %version-%release

%description -n lib%name-devel-static
This package contains the libraries needed for compiling programs
statically linked against GtkGLExt.

%prep
%setup -q
#%patch -p1

%build
#%__autoreconf
%configure --enable-gtk-doc \
	    %{subst_enable static}

%make_build
#%make_build examples

%install
%makeinstall

%post -n lib%name -p %post_ldconfig
%postun -n lib%name -p %postun_ldconfig

%files -n lib%name
%_libdir/*.so.*
%dir %_libdir/%name-1.0
%doc AUTHORS README* ChangeLog TODO

%files -n lib%name-devel
%_includedir/*
%_libdir/*.so
%_libdir/%name-1.0/*
%_aclocaldir/*
%_pkgconfigdir/*
%doc %_gtkdocdir/*

%if_enabled static
%files -n lib%name-devel-static
%_libdir/*.a
%endif

%changelog
* Sun Nov 19 2006 Vitaly Lipatov <lav@altlinux.ru> 1.2.0-alt0.1
- new version 1.2
- cleanup spec, change maintainter
- update buildreqs, remove glib1-devel requires

* Thu Feb 02 2006 ALT QA Team Robot <qa-robot@altlinux.org> 1.0.6-alt1.1.1
- Rebuilt for new pkg-config dependencies.

* Sun Nov 07 2005 LAKostis <lakostis at altlinux.ru> 1.0.6-alt1.1
- fix build with new pango.
- update buildrequires.

* Thu Mar 18 2004 Yuri N. Sedunov <aris@altlinux.ru> 1.0.6-alt1
- 1.0.6

* Thu Dec 04 2003 Yuri N. Sedunov <aris@altlinux.ru> 1.0.5-alt1
- 1.0.5
- do not package .la files.
- do not build devel-static subpackage by default.

* Wed Mar 12 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.7.0-alt1
- 0.7.0

* Sun Dec 22 2002 Yuri N. Sedunov <aris@altlinux.ru> 0.6.1-alt1
- 0.6.1

* Sat Dec 14 2002 Yuri N. Sedunov <aris@altlinux.ru> 0.6.0-alt1
- 0.6.0

* Sun Oct 06 2002 Yuri N. Sedunov <aris@altlinux.ru> 0.5.1-alt2
- rebuild with new pango, gtk+

* Sat Sep 14 2002 Yuri N. Sedunov <aris@altlinux.ru> 0.5.1-alt1
- 0.5.1

* Thu Jun 20 2002 Yuri N. Sedunov <aris@altlinux.ru> 0.3.0-alt1
- 0.3

* Thu Jun 13 2002 Yuri N. Sedunov <aris@altlinux.ru> 0.2.0-alt1
- 0.2.0

* Wed Jun 12 2001 Yuri N. Sedunov <aris@altlinux.ru> 0.1.1-alt1
- First build for Sisyphus
